ApiDeployment2 (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiDeployment2

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiDeployment2

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiDeployment2
      extends Object

  This objects represents a deployment including all clusters, hosts, services, roles, etc in the system. It can be used to save and restore all settings. This model will be used v18 and beyond since users will be represented by ApiUser2 v18 and beyond.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiDeployment2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDeployment2` | `addAuthRolesItem(ApiAuthRole authRolesItem)`
    `ApiDeployment2` | `addClustersItem(ApiCluster clustersItem)`
    `ApiDeployment2` | `addExternalUserMappingsItem(ApiExternalUserMapping externalUserMappingsItem)`
    `ApiDeployment2` | `addHostsItem(ApiHost hostsItem)`
    `ApiDeployment2` | `addPeersItem(ApiCmPeer peersItem)`
    `ApiDeployment2` | `addUsersItem(ApiUser2 usersItem)`
    `ApiDeployment2` | `allHostsConfig(ApiConfigList allHostsConfig)`
    `ApiDeployment2` | `authRoles(List<ApiAuthRole> authRoles)`
    `ApiDeployment2` | `clusters(List<ApiCluster> clusters)`
    `ApiDeployment2` | `dataContexts(ApiDataContextList dataContexts)`
    `boolean` | `equals(Object o)`
    `ApiDeployment2` | `externalUserMappings(List<ApiExternalUserMapping> externalUserMappings)`
    `ApiConfigList` | `getAllHostsConfig()` Configuration parameters that apply to all hosts, unless overridden at the host level.
    `List<ApiAuthRole>` | `getAuthRoles()` List of all auth roles in the system Available from v32
    `List<ApiCluster>` | `getClusters()` List of clusters in the system including their services, roles and complete config values.
    `ApiDataContextList` | `getDataContexts()` The list of all the data contexts in the Cloudera Manager.
    `List<ApiExternalUserMapping>` | `getExternalUserMappings()` List of all external user mappings in the system Available from v32
    `List<ApiHost>` | `getHosts()` List of hosts in the system
    `ApiHostTemplateList` | `getHostTemplates()` The list of all host templates in Cloudera Manager.
    `ApiService` | `getManagementService()` The full configuration of the Cloudera Manager management service including all the management roles and their config values
    `ApiConfigList` | `getManagerSettings()` The full configuration of Cloudera Manager itself including licensing info
    `List<ApiCmPeer>` | `getPeers()` The list of peers configured in Cloudera Manager.
    `String` | `getTimestamp()` Readonly.
    `List<ApiUser2>` | `getUsers()` List of all users in the system
    `ApiVersionInfo` | `getVersionInfo()` Full version information about the running Cloudera Manager instance
    `int` | `hashCode()`
    `ApiDeployment2` | `hosts(List<ApiHost> hosts)`
    `ApiDeployment2` | `hostTemplates(ApiHostTemplateList hostTemplates)`
    `ApiDeployment2` | `managementService(ApiService managementService)`
    `ApiDeployment2` | `managerSettings(ApiConfigList managerSettings)`
    `ApiDeployment2` | `peers(List<ApiCmPeer> peers)`
    `void` | `setAllHostsConfig(ApiConfigList allHostsConfig)`
    `void` | `setAuthRoles(List<ApiAuthRole> authRoles)`
    `void` | `setClusters(List<ApiCluster> clusters)`
    `void` | `setDataContexts(ApiDataContextList dataContexts)`
    `void` | `setExternalUserMappings(List<ApiExternalUserMapping> externalUserMappings)`
    `void` | `setHosts(List<ApiHost> hosts)`
    `void` | `setHostTemplates(ApiHostTemplateList hostTemplates)`
    `void` | `setManagementService(ApiService managementService)`
    `void` | `setManagerSettings(ApiConfigList managerSettings)`
    `void` | `setPeers(List<ApiCmPeer> peers)`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setUsers(List<ApiUser2> users)`
    `void` | `setVersionInfo(ApiVersionInfo versionInfo)`
    `ApiDeployment2` | `timestamp(String timestamp)`
    `String` | `toString()`
    `ApiDeployment2` | `users(List<ApiUser2> users)`
    `ApiDeployment2` | `versionInfo(ApiVersionInfo versionInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiDeployment2

          public ApiDeployment2()

  - ### Method Detail

    - #### timestamp

          public ApiDeployment2 timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      Readonly. This timestamp is provided when you request a deployment and is not required (or even read) when creating a deployment. This timestamp is useful if you have multiple deployments saved and want to determine which one to use as a restore point.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### clusters

          public ApiDeployment2 clusters(List<ApiCluster> clusters)

    - #### addClustersItem

          public ApiDeployment2 addClustersItem(ApiCluster clustersItem)

    - #### getClusters

          public List<ApiCluster> getClusters()

      List of clusters in the system including their services, roles and complete config values.
      Returns:
        clusters

    - #### setClusters

          public void setClusters(List<ApiCluster> clusters)

    - #### hosts

          public ApiDeployment2 hosts(List<ApiHost> hosts)

    - #### addHostsItem

          public ApiDeployment2 addHostsItem(ApiHost hostsItem)

    - #### getHosts

          public List<ApiHost> getHosts()

      List of hosts in the system
      Returns:
        hosts

    - #### setHosts

          public void setHosts(List<ApiHost> hosts)

    - #### authRoles

          public ApiDeployment2 authRoles(List<ApiAuthRole> authRoles)

    - #### addAuthRolesItem

          public ApiDeployment2 addAuthRolesItem(ApiAuthRole authRolesItem)

    - #### getAuthRoles

          public List<ApiAuthRole> getAuthRoles()

      List of all auth roles in the system Available from v32
      Returns:
        authRoles

    - #### setAuthRoles

          public void setAuthRoles(List<ApiAuthRole> authRoles)

    - #### externalUserMappings

          public ApiDeployment2 externalUserMappings(List<ApiExternalUserMapping> externalUserMappings)

    - #### addExternalUserMappingsItem

          public ApiDeployment2 addExternalUserMappingsItem(ApiExternalUserMapping externalUserMappingsItem)

    - #### getExternalUserMappings

          public List<ApiExternalUserMapping> getExternalUserMappings()

      List of all external user mappings in the system Available from v32
      Returns:
        externalUserMappings

    - #### setExternalUserMappings

          public void setExternalUserMappings(List<ApiExternalUserMapping> externalUserMappings)

    - #### users

          public ApiDeployment2 users(List<ApiUser2> users)

    - #### addUsersItem

          public ApiDeployment2 addUsersItem(ApiUser2 usersItem)

    - #### getUsers

          public List<ApiUser2> getUsers()

      List of all users in the system
      Returns:
        users

    - #### setUsers

          public void setUsers(List<ApiUser2> users)

    - #### versionInfo

          public ApiDeployment2 versionInfo(ApiVersionInfo versionInfo)

    - #### getVersionInfo

          public ApiVersionInfo getVersionInfo()

      Full version information about the running Cloudera Manager instance
      Returns:
        versionInfo

    - #### setVersionInfo

          public void setVersionInfo(ApiVersionInfo versionInfo)

    - #### managementService

          public ApiDeployment2 managementService(ApiService managementService)

    - #### getManagementService

          public ApiService getManagementService()

      The full configuration of the Cloudera Manager management service including all the management roles and their config values
      Returns:
        managementService

    - #### setManagementService

          public void setManagementService(ApiService managementService)

    - #### managerSettings

          public ApiDeployment2 managerSettings(ApiConfigList managerSettings)

    - #### getManagerSettings

          public ApiConfigList getManagerSettings()

      The full configuration of Cloudera Manager itself including licensing info
      Returns:
        managerSettings

    - #### setManagerSettings

          public void setManagerSettings(ApiConfigList managerSettings)

    - #### allHostsConfig

          public ApiDeployment2 allHostsConfig(ApiConfigList allHostsConfig)

    - #### getAllHostsConfig

          public ApiConfigList getAllHostsConfig()

      Configuration parameters that apply to all hosts, unless overridden at the host level. Available since API v3.
      Returns:
        allHostsConfig

    - #### setAllHostsConfig

          public void setAllHostsConfig(ApiConfigList allHostsConfig)

    - #### peers

          public ApiDeployment2 peers(List<ApiCmPeer> peers)

    - #### addPeersItem

          public ApiDeployment2 addPeersItem(ApiCmPeer peersItem)

    - #### getPeers

          public List<ApiCmPeer> getPeers()

      The list of peers configured in Cloudera Manager. Available since API v3.
      Returns:
        peers

    - #### setPeers

          public void setPeers(List<ApiCmPeer> peers)

    - #### hostTemplates

          public ApiDeployment2 hostTemplates(ApiHostTemplateList hostTemplates)

    - #### getHostTemplates

          public ApiHostTemplateList getHostTemplates()

      The list of all host templates in Cloudera Manager.
      Returns:
        hostTemplates

    - #### setHostTemplates

          public void setHostTemplates(ApiHostTemplateList hostTemplates)

    - #### dataContexts

          public ApiDeployment2 dataContexts(ApiDataContextList dataContexts)

    - #### getDataContexts

          public ApiDataContextList getDataContexts()

      The list of all the data contexts in the Cloudera Manager.
      Returns:
        dataContexts

    - #### setDataContexts

          public void setDataContexts(ApiDataContextList dataContexts)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.